{% extends "base.html.twig" %}

{% block title %}
One Person
{% endblock title %}

{% block body %}
<h1>{{person.name}} {{person.surname}}</h1>
<p>Born on {{person.birthdate|date("d/m/Y")}}</p>
<p>Nationality : {{person.nationality}}</p>
<a class="btn btn-danger" href="{{path('remove_person', {person:person.id})}}">Delete</a>
<a class="btn btn-info" href="{{path('modify_person', {person:person.id})}}">Modify</a>
<a class="btn btn-warning" href="{{path('add_car')}}">Add a Car</a>

{% if person.cars is not empty %}
<h2>Cars</h2>
<div class="row">
    {% for car in person.cars %}
    <div class="col-4 mb-4">
        <div class="card">
            <div class="card-body">
                <h5 class="card-title">{{car.model}}</h5>
                <h6 class="card-subtitle mb-2 text-muted">{{car.sourcePower}}</h6>
                <p class="card-text">
                    Horse Power : {{car.horsePower}}
                </p>
                <p class="card-text">
                    Car : {{car.color}}
                </p>
                <a href="#" class="card-link">Show</a>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endif %}

{% endblock body %}